Package org.eclipse.draw2d

# Interface SchemeBorder.SCHEMES

Enclosing class:
  `SchemeBorder`

public static interface SchemeBorder.SCHEMES
Interface which defines some commonly used schemes for the border. These schemes can be given as input to the `SchemeBorder` to generate appropriate borders.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final SchemeBorder.Scheme`
`BUTTON_CONTRAST`
Schemes used for shadow and highlight effects
`static final SchemeBorder.Scheme`
`BUTTON_PRESSED`
`static final SchemeBorder.Scheme`
`BUTTON_RAISED`
`static final SchemeBorder.Scheme`
`ETCHED`
`static final SchemeBorder.Scheme`
`LOWERED`
`static final SchemeBorder.Scheme`
`RAISED`
`static final SchemeBorder.Scheme`
`RIDGED`

## Field Details

### BUTTON_CONTRAST

static final SchemeBorder.Scheme BUTTON_CONTRAST
Schemes used for shadow and highlight effects

### BUTTON_RAISED

static final SchemeBorder.Scheme BUTTON_RAISED

### BUTTON_PRESSED

static final SchemeBorder.Scheme BUTTON_PRESSED

### RAISED

static final SchemeBorder.Scheme RAISED

### LOWERED

static final SchemeBorder.Scheme LOWERED

### RIDGED

static final SchemeBorder.Scheme RIDGED

### ETCHED

static final SchemeBorder.Scheme ETCHED